<bugID>610975<Summary>When you drop a 'Separator' on the Add-on Bar a space for the separator is created, but the separator is not displayed</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:2.0b8pre) Gecko/20101109 Firefox/4.0b8pre
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:2.0b8pre) Gecko/20101109 Firefox/4.0b8pre

When customizing the Add-on Bar, if you try dragging a Separator (|) to the Add-on Bar, when you drop the '|' icon between two other icons, a space is created there without the separator.
Then if you try pick the Separator-space back up to drop it back on the Customization Toolbar you can not grab the '|' icon (or the space) to delete it.

Reproducible: Always

Steps to Reproduce:
1. Turn on Add-on Bar.
2. Right click the Add-on and select Customize.
3. If you do not have any icons on the Add-on bar add a couple.
4. Grab the separator icon and drop it between the icons.
5. Repeat step 4 for even more empty space if you want, they accumulate.
Actual Results:  
Spaces ' ' are displayed on the Add-on Bar.
Which can not be removed.

Expected Results:  
Separators '|' should be displayed, which can be moved/removed.

Note: Other Icons like Space ' ' and Flexible Space "|&lt;...&gt;|" can be dropped and/or removed when Customizing the Add-on Bar.
They leave a Line at the Top of the Add-on bar (at least with Win XP) that allows them to be manipulated.</Description></bugID>